import { makeStyles} from '@material-ui/core'
import Avatar from '@mui/material/Avatar';
import DoneIcon from '@mui/icons-material/Done';

const useStyles = makeStyles({
  container: {
    position: 'absolute',
    content: '',
    top: '92vh',
    right:20,
  },
  avatarArrow: {
    cursor: 'pointer',
    '&:hover': {
      backgroundColor: 'rgb(62, 149, 231)'
    }
  },
})

const SubmitBtn = ({handleSubmit}:{handleSubmit:() => void}) => {
  const classes = useStyles()  

  return (
  <div className={classes.container}>
    <Avatar onClick={handleSubmit} className={classes.avatarArrow}
      sx={{width: 56, height: 56,backgroundColor: 'rgb(41, 139, 231)',color: '#ffffff'}}>
      <DoneIcon fontSize="medium" />  
    </Avatar>
  </div>  
  )
};

export default SubmitBtn;